\documentclass[10pt, letterpaper, conference]{IEEEtran}


% *** CITATION PACKAGES ***
%
%\usepackage{cite}
\usepackage[noadjust]{cite}
\renewcommand{\citedash}{--} 
% cite.sty was written by Donald Arseneau
% V1.6 and later of IEEEtran pre-defines the format of the cite.sty package
% \cite{} output to follow that of IEEE. Loading the cite package will
% result in citation numbers being automatically sorted and properly
% "compressed/ranged". e.g., [1], [9], [2], [7], [5], [6] without using
% cite.sty will become [1], [2], [5]--[7], [9] using cite.sty. cite.sty's
% \cite will automatically add leading space, if needed. Use cite.sty's
% noadjust option (cite.sty V3.8 and later) if you want to turn this off.
% cite.sty is already installed on most LaTeX systems. Be sure and use
% version 4.0 (2003-05-27) and later if using hyperref.sty. cite.sty does
% not currently provide for hyperlinked citations.
% The latest version can be obtained at:
% http://www.ctan.org/tex-archive/macros/latex/contrib/cite/
% The documentation is contained in the cite.sty file itself.


% *** GRAPHICS RELATED PACKAGES ***
%
\ifCLASSINFOpdf
  % \usepackage[pdftex]{graphicx}
  % declare the path(s) where your graphic files are
  % \graphicspath{{../pdf/}{../jpeg/}}
  % and their extensions so you won't have to specify these with
  % every instance of \includegraphics
  % \DeclareGraphicsExtensions{.pdf,.jpeg,.png}
\else
  % or other class option (dvipsone, dvipdf, if not using dvips). graphicx
  % will default to the driver specified in the system graphics.cfg if no
  % driver is specified.
  % \usepackage[dvips]{graphicx}
  % declare the path(s) where your graphic files are
  % \graphicspath{{../eps/}}
  % and their extensions so you won't have to specify these with
  % every instance of \includegraphics
  % \DeclareGraphicsExtensions{.eps}
\fi
% graphicx was written by David Carlisle and Sebastian Rahtz. It is
% required if you want graphics, photos, etc. graphicx.sty is already
% installed on most LaTeX systems. The latest version and documentation can
% be obtained at: 
% http://www.ctan.org/tex-archive/macros/latex/required/graphics/
% Another good source of documentation is "Using Imported Graphics in
% LaTeX2e" by Keith Reckdahl which can be found as epslatex.ps or
% epslatex.pdf at: http://www.ctan.org/tex-archive/info/
%
% latex, and pdflatex in dvi mode, support graphics in encapsulated
% postscript (.eps) format. pdflatex in pdf mode supports graphics
% in .pdf, .jpeg, .png and .mps (metapost) formats. Users should ensure
% that all non-photo figures use a vector format (.eps, .pdf, .mps) and
% not a bitmapped formats (.jpeg, .png). IEEE frowns on bitmapped formats
% which can result in "jaggedy"/blurry rendering of lines and letters as
% well as large increases in file sizes.
%
% You can find documentation about the pdfTeX application at:
% http://www.tug.org/applications/pdftex


% *** ALIGNMENT PACKAGES ***
%
%\usepackage{array}
% Frank Mittelbach's and David Carlisle's array.sty patches and improves
% the standard LaTeX2e array and tabular environments to provide better
% appearance and additional user controls. As the default LaTeX2e table
% generation code is lacking to the point of almost being broken with
% respect to the quality of the end results, all users are strongly
% advised to use an enhanced (at the very least that provided by array.sty)
% set of table tools. array.sty is already installed on most systems. The
% latest version and documentation can be obtained at:
% http://www.ctan.org/tex-archive/macros/latex/required/tools/


% *** SUBFIGURE PACKAGES ***
%\usepackage[tight,footnotesize]{subfigure}
% subfigure.sty was written by Steven Douglas Cochran. This package makes it
% easy to put subfigures in your figures. e.g., "Figure 1a and 1b". For IEEE
% work, it is a good idea to load it with the tight package option to reduce
% the amount of white space around the subfigures. subfigure.sty is already
% installed on most LaTeX systems. The latest version and documentation can
% be obtained at:
% http://www.ctan.org/tex-archive/obsolete/macros/latex/contrib/subfigure/
% subfigure.sty has been superceeded by subfig.sty.


%\usepackage[caption=false]{caption}
%\usepackage[font=footnotesize]{subfig}
% subfig.sty, also written by Steven Douglas Cochran, is the modern
% replacement for subfigure.sty. However, subfig.sty requires and
% automatically loads Axel Sommerfeldt's caption.sty which will override
% IEEEtran.cls handling of captions and this will result in nonIEEE style
% figure/table captions. To prevent this problem, be sure and preload
% caption.sty with its "caption=false" package option. This is will preserve
% IEEEtran.cls handing of captions. Version 1.3 (2005/06/28) and later 
% (recommended due to many improvements over 1.2) of subfig.sty supports
% the caption=false option directly:
%\usepackage[caption=false,font=footnotesize]{subfig}
%
% The latest version and documentation can be obtained at:
% http://www.ctan.org/tex-archive/macros/latex/contrib/subfig/
% The latest version and documentation of caption.sty can be obtained at:
% http://www.ctan.org/tex-archive/macros/latex/contrib/caption/


% *** FLOAT PACKAGES ***
%
%\usepackage{fixltx2e}
% fixltx2e, the successor to the earlier fix2col.sty, was written by
% Frank Mittelbach and David Carlisle. This package corrects a few problems
% in the LaTeX2e kernel, the most notable of which is that in current
% LaTeX2e releases, the ordering of single and double column floats is not
% guaranteed to be preserved. Thus, an unpatched LaTeX2e can allow a
% single column figure to be placed prior to an earlier double column
% figure. The latest version and documentation can be found at:
% http://www.ctan.org/tex-archive/macros/latex/base/


%\usepackage{stfloats}
% stfloats.sty was written by Sigitas Tolusis. This package gives LaTeX2e
% the ability to do double column floats at the bottom of the page as well
% as the top. (e.g., "\begin{figure*}[!b]" is not normally possible in
% LaTeX2e). It also provides a command:
%\fnbelowfloat
% to enable the placement of footnotes below bottom floats (the standard
% LaTeX2e kernel puts them above bottom floats). This is an invasive package
% which rewrites many portions of the LaTeX2e float routines. It may not work
% with other packages that modify the LaTeX2e float routines. The latest
% version and documentation can be obtained at:
% http://www.ctan.org/tex-archive/macros/latex/contrib/sttools/
% Documentation is contained in the stfloats.sty comments as well as in the
% presfull.pdf file. Do not use the stfloats baselinefloat ability as IEEE
% does not allow \baselineskip to stretch. Authors submitting work to the
% IEEE should note that IEEE rarely uses double column equations and
% that authors should try to avoid such use. Do not be tempted to use the
% cuted.sty or midfloat.sty packages (also by Sigitas Tolusis) as IEEE does
% not format its papers in such ways.


% *** PDF, URL AND HYPERLINK PACKAGES ***
%
%\usepackage{url}
% url.sty was written by Donald Arseneau. It provides better support for
% handling and breaking URLs. url.sty is already installed on most LaTeX
% systems. The latest version can be obtained at:
% http://www.ctan.org/tex-archive/macros/latex/contrib/misc/
% Read the url.sty source comments for usage information. Basically,
% \url{my_url_here}.

\usepackage{tikz}
\usetikzlibrary{arrows.meta,
  positioning,
  babel
}

\input{macros}

\begin{document}

%--------------------------------- TITLE ------------------------------------ %
% paper title
% can use linebreaks \\ within to get better formatting as desired
\title{Machine learning on autonomous systems: a survey}

%--------------------------------- AUTHORS ---------------------------------- %

\author{
	\IEEEauthorblockN{Luis Le\'on\tec, Emmanuel Madrigal\tec}
	\vspace{3pt}
	%
	\IEEEauthorblockA{
		\begin{tabular}{c}
			{\tec} Costa Rica Institute of Technology(ITCR), Costa Rica \\
		\end{tabular}
	}
	%
	\vspace{3pt}
	\IEEEauthorblockA{
		\begin{tabular}{ccc}
			\{lleon95, emmadrigal\}@estudiantec.cr
		\end{tabular}
	}
	%\vspace{50pt}
	\vspace{-18pt}
}

% use for special paper notices
%\IEEEspecialpapernotice{(Invited Paper)}

% make the title area
\maketitle

%
%/Applications/texstudio.app/Contents/Resources
%/Volumes/texstudio/texstudio.app/Contents/Resources

%--------------------------------- ABSTRACT ---------------------------------- %
\begin{abstract}
	The definition of Autonomous Systems (AS) as a branch of the Artificial
	Intelligence (AI) is often ambiguous and constantly evolving as new
	applications are developed. This paper states the definition from analysing
	several device examples which are moving with in the market, such as
	\emph{delivery} and \emph{production robots}, personal assistants, self-driving
	cars, and others. Those devices have in common the usage of AI techniques for
	enhancing their self decision-making process, receiving data from sensors and
	acting over actuators, turning them into \emph{agents} in an environment.
	This paper presents the \emph{state-of-the-art} in some AI fields
	used by current AS devices.
\end{abstract}

% Keywords based on IEEE taxonomy: 
%https://www.ieee.org/content/dam/ieee-org/ieee/web/org/pubs/taxonomy_v101.pdf
\begin{IEEEkeywords}
	Autonomous Systems, Autonomous vehicles, Control theory
\end{IEEEkeywords}

%------------------------------- INTRODUCTION ---------------------------------%
\section{Introduction}
\label{sec:introduction}

AI is becoming a fundamental mechanism to give devices the capability
of taking decisions and provide greater performance when performing
their tasks than traditional systems. With current Natural Language
Processing (NLP), it is possible to analyse audio, convert the voice
into text and perform some analysis on top of it, such as sentimental
analysis, text summarisation, and question/answer (QA) dynamics.

The advances in NLP has allowed to companies such as Apple with Siri,
Google with Google Assistant, Microsoft with Cortana and Amazon with
Alexa, to create their own voice-commanded personal assistants. The
user can ask the personal assistant to do a specific task by just
asking a question or giving an order. Innovative convolutional neural
network (CNN) topologies have polished the way how Computer Vision
(CV) works, reducing the number of mispredictions and finding patterns
that a human may not recognise at a quick glance. Modern CNNs allowed
self-driving cars to be more robust. Some companies have also found
the opportunity with an artificial neural network (ANN) based CV
system to create delivery robots, even driving on the streets as
pedestrians or flying Unmanned Aerial Vehicle (UAVs).

Those applications are likely to have a remarkable social impact. The
advances in AS and AI have also affected the industry, promoting a new
industrial revolution with the so-called \emph{Industrial Revolution 4.0},
where the production-lines integrated as a complete ecosystem through
the Internet and smarter than ever, making it possible to them to take
collective decisions.

The following sections state the definition of AS, presenting some
state-of-the-art examples, and analyse the current state-of-the-art
for AI technologies used on those examples.

% ------------------------------- DEFINITION --------------------------------- %
\section{Autonomous systems definition}
\label{sec:definition}

% -- Definition in the literature -- %

Autonomous systems is a field of the Artificial Intelligence, which
combines different disciplines to develop complex systems, equipped
with sensors, actuators, and some decision making.

According to~\cite{front_matter}, AS can make choices based on
experience, auto-configure and self-organise. This suggests systems
which make possible to hold the experience learned based on the past
perceptions and actions, in the same way as a reinforcement learning
system does, establishing priorities to those actions which have
maximised the reward.

In~\cite{IAS_definition} the authors suggest the ability of these
systems to reason based on the feedback received by the
environment. They defend that AS are now reflecting maturity and
robustness, since they are being used in industrial production and
other fields.

% -- Presenting the examples -- %

Some examples of AS are \emph{Autonomous Unmanned Aerial Vehicles}
(AUAV), self-driving cars, delivery robots, production line robots,
and aircrafts with their automatic pilots. The decision making in some
of those are not founded by a reinforcement learning approach based on
experience and \emph{trial-and-error}. Depending on the environment
and requirements, some systems are not allowed to be fully independent
and take decisions completely by their own, as it is with production
line robots and aircrafts. Thus, it is a tendency in some systems, but
it is not mandatory to have an AS with experience-based learning.

With AUAVs and delivery robots, their systems share most of the
core. They have GPS sensors, environment sensors and obstacles
sensors. Based on the data provided by its, the system follows a
trajectory and can change it according to environment obstacles. To
provide movement, the key difference is that AUAVs use air propulsion
and most of delivery robots use ground displacement, as is the case of
Scout by Amazon~\cite{amazon_scout}, Starship robots~\cite{starship},
and Marble~\cite{marble}.

Self-driving cars have some particularities, which locates them in the
middle of the two previous cases. They have some freedom to change
their behaviour based on experience got from other vehicles and the
mechanism used by delivery robots. Tesla Autopilot is one of the most
sophisticated self-driving systems in the market. Other cars running
on streets can source the knowledge, allowing to the vast neural
networks to learn the diverse scenarios found in the driving
environment~\cite{autopilot}.

Personal assistants are perhaps the AS entities with the highest
freedom in terms of experience learning, since their actions do not
affect dangerously on the life of people. Smartphones have allowed
companies such as Google and Apple to turn phones into smart personal
assistants. Users can ask Google Assistant to run some phone commands
such as setting an alarm or a reminder, make calls, quick math
questions, and get some entertainment~\cite{gassistant}.

With Siri by Apple, the actions are similar to Google Assistant. In
the product website, Apple emphasises the fact of freeing user’s hands
from the phone and still making them able to use the phone. The
example the company highlights is the usage of the phone while the
user is driving a car~\cite{siri}.

What makes those personal assistants impressive is the fact of
handling conversation with actual humans, scheduling appointments in
restaurants by phone, like the Google Assistant duplex demo presented
in~\cite{duplexgoogle}. Google claims it is possible to experimented
users to perform some fine tuning on the assistant to integrate new
domains by using a technique called \emph{real-time supervised
	learning}.

Search engines are another example of AS. They are widely used around
the globe, which grow according to the technology
opportunities. Google Web Search is one example of these systems. It
uses several techniques to crawl and index the web, analysing and
ranking the content according to the quality and
relevance~\cite{googlese}. According to Google, the queries are
semantically analysed and some keywords change by synonyms to get more
accurate results. This involves some AI under the hood to apply NLP
techniques to get the meaning of the phrases and the intention of the
user.

% -- Landing into the definition -- %

The presented AS have in common the following key points:

\begin{itemize}
	\item Input: sensor or data (i.e. text).
	\item Processing core: an AI core to process the input and produce a
	      meaningful output.
	\item Output: either an actuator that can influence the environment or just
	      information.
\end{itemize}

The inputs and outputs will depend on the system under analysis. Some
of them can be physically represented and others are abstract, being
at the software level, such as the personal assistants and the search
engines. However, the centre of the AS is their ability of taking some
decisions or generating an output by using an AI framework. This makes
AS a branch of AI, since they exploit the power offered by other AI
fields.

Hence, the definition of AS can be approached as \emph{a system which
	generates an output transforming an input by machine learning
	techniques autonomously}.

% ------------------------------- FRAMEWORK --------------------------------- %
\section{Machine learning framework for autonomous systems}
\label{sec:framework}

% -- Introduction -- %

AS systems can have a machine learning back-end which transforms
data. For the case of delivery robots, self-driving cars, and UAVs,
they have a CV back-end which analyses the video coming from cameras
or other sensors such as a RADAR, LIDAR, and others. With personal
assistants it is a NLP back-end which converts voice to text and vice
versa, and performs language analysis to extract information about the
user’s intentions. This section analyses the state-of-the-art in these
back-ends.

% -- Computer Vision -- %
% \subsection{Computer Vision}
% \label{subsec:computer_vision}

%% Manufacturing/Robots

Robots in industry have traditionally been mainly used in a fixed
manner, with each robot performing a simple and repetitive task. While
many industries can benefit from this kind of robot, \emph{Industry
  4.0} leverages a more varied environment where product variability
and sequencing demand a dynamic route/mission assignment. These robots
are denominated Autonomous Mobile Robots (AMR), these can use feedback
from their sensors to navigate the environment.

Object recognition and feature matching are a significant task to be
performed for accurate positioning. Object recognition is used to
determine coordinates of the object detect or calculate in relative to
a proposed object identified in an image. Feature matching performs
the task of establishing a correspondence between two images of the
same scene/object.

A multi-model system was used in~\cite{almeida2018} to take a sonar
input and get the position of the object in its environment. Which can
simplify its navigation in further systems, normally these are
traditional control system, but as reinforcement learning has advanced
in recent years, these are being replaced. The authors
in~\cite{yokohama2020} use a double deep q network to navigate the
environment based on laser distance scans without a previous
detection/classification stage.

Manipulation is another challenge faced by AMRs, on the simple side
specialized tools are used such as in traditional industry, the more
challenging and promising task is the usage of hand-like appendages
where the machine learning system should be able to use over
object. This tasks have studied by using CNNs which transforms policy
search into supervised learning~\cite{LevineFDA15}; using a
synchronous version of guided policy search where multiple robots
share their experience~\cite{YahyaLKCL16}; assymmetric
actor-critic~\cite{pinto2017} and using DQN in~\cite{gu2017deep}.

%% Self-driving Vehicles

Cars these days are equipped with a large amount of sensors,
actuators, and controllers. Software drives these end devices sitting
on various role-specific software running on electronic control
units. Machine learning software is one of the main components of this
set~\cite{shi2017algorithm}.

One of the key tasks of any machine learning algorithm in the
self-driving car is a continuous rendering of the surrounding
environment and the prediction of changes to those surroundings. These
tasks are mainly divided into four sub-tasks:

\begin{itemize}
	\item Object detection.
	\item Object recognition.
	\item Object localization.
	\item Prediction of movement.
\end{itemize}

Using only these tasks is only as a stepping stone for full machine
learning systems, since nowadays autonomous vehicles use a lot of
traditional control algorithms~\cite{kuutti2020survey}.

The most prominent work currently available is the creation of
simulations where the self-driving algorithm can train itself, this is
the case of the Voyage Deepdrive~\cite{deepdrive} where PPO2 baseline
agent and end-to-end MNET2 imitation learning algorithms top the
current leaderboards; CARLA~\cite{carla} which its current leaderboard
uses implicit affordances~\cite{toromanoff2020end} and another one
uses a supervised method where a priviled driver ``teaches'' it to
drive~\cite{chen2020learning}. MIT's
DeepTraffic~\cite{fridman2018deeptraffic} shows a traffic system where
the objective is to highly trafficed highway as fast as possible
without crashing. The input of these networks varies between using the
raw data from the sensors to having another type of network preprocess
this data to obtain objects such as traffic lights, signs, or other
vehicles in its enviroment.

Other physical robots have also been created meant to be trained as a
base for a reinforcement system such as Amazon's
DeepRacer~\cite{deepracer}. And this has been extended to a full self
driving system has been extended in Cambridge's Weyve~\cite{wayve},
which is able to learn how to follow a car lane using a deep
deterministic policy gradients algorithm by just receiving feedback
from a training driver when skewing far too far from the lane. The
techniques behind these don't vary too much but their training
schedule is completely different due to the possibility of physical
damage and time constrains.

%% UAVs

UAVs have a wide range of applications, such as aerial monitoring of
plants and agricultural fields and support for first responders in
disasters. They are useful when the current infrastructure isn’t able
to sustain a sizeable amount of ground vehicles.

One of the early successful application was presented
in~\cite{abbeel2010autonomous} in which a neural network receives a
set of parameters such as the linear velocity and angular rates and
can perform a series of acrobatics, a problem which had remained
unsolved with traditional control techniques.

But, UAVs deal with many of problems when running ``missions’’ in an
open environment in which they encounter multiple other UAVs and
obstacles. Around $30\%$ of these can be solved through better mission
management~\cite{johnson2001track} in which they ask the agents to
solve only subsection of the complete route rather than be free to run
the complete track on their own.

In~\cite{hu2012group} the authors propose a multi-agent system in
which each UAV has its own agent, and another series of decision agent
can coordinate a small portion of the overall UAV pool to allow all
the agents to perform their task.

Computer vision is needed to pathfind environments, these must be able
to both avoid any collisions (with either the environment or other
agents traversing the environment) while also doing this efficiently
because of the limited battery capacity present on
drones. In~\cite{xu2019luna} the authors propose a two-stage process,
the first uses a MobileNet~\cite{howard2017mobilenets} network as the
input for a control for a pathfinding algorithm. A Q-learning
algorithm is used~\cite{shin2017study} to perform the traversal where
some of the most common inputs such as GPS are unavailable. The
researchers in~\cite{ho2019multi} solve a problem where heterogeneous
agents must interact together (such as the case where a hub of
packages must be accessed with delivery UAVs), the authors introduce a
supervising algorithm to solve the conflicts between the pathfinding
for the agents.

% -- Natural Language Processing -- %
% \subsection{Natural Language Processing}
% \label{subsec:nlp}

% Assistants %

Differently from UAVs and Self-Driving vehicles, personal assistants
such as Google Assistant and Siri are purely software applications.
It means that their sensors and actuators are intrinsically shared
with other applications within the device. As the input, these
instances use the microphone or a text box, and as the output the
display or another text box. Thus, the personal assistant applications
are headless from the real-world, making them unable to modify the
environment in some of their variants.

In 2018, Google Duplex (part of Google Assistant) relied on Recurrent
Neural Networks (RNN) to analyse the message and extract information
from the conversation. The input is converted to text by using Google
Automatic Speech Recognition (ASR) and the output is converted into
voice by a Text-to-Voice technology.

A few years back NLP RNN-based systems were the cutting-edge technique,
which has some limitations when dealing with different languages where
the meaningful words are at the extremes of the sentences, like it
happens in the German language, where the RNNs are limited in
time~\cite{rnns} to get those words and focus on the attention of the
phrase.

To address this, a group of researchers from Google and other research
institutes came with \emph{Transformers} proposed
in~\cite{vaswani2017attention}. They claim that the approach required
for NLP should be the focus of the attention instead of analysing the
whole content. The transformers arquitecture includes units for
analysing the attention, in particular, the self-attention. Here, the
architecture reduces the model complexity in terms of network layers
and parallelisation of the algorithm.

The transformers are the state-of-the-art in NLP and they are more
robust than RNN according to~\cite{vaswani2017attention}. On top of
transformers, some other models have been developed, such as the
Bidirectional Encoder Representations from Transformers
(BERT)~\cite{bert}, and recently the Generative Pretrained Transformer
(GPT) 3 by OpenAI~\cite{gpt3}. GPT-3 has caught the attention of the
developers community because of the capability of convert language
into programming code, making it interactive with the programmer, who
just writes the functionality of the algorithm by describing it in
natural language. 

For getting started with Transformers model, HugingFace is one of 
the most popular repositories for several Transformers-based models
in several languages~\cite{hugingface}. Several models from HugingFace
are trained by using the Wikipedia \text{corpus}, which contains
support for several languages, according to the Wikipedia content.

Since transformers are more robust than current RNNs used in NLP,
it gives opportunities for many other applications. Tasks such as
programming automation, real-time translation, customer text sentimental
analysis, and others~\cite{gpt2}. Despite transformers came as a 
solution for NLP, it can be potentially used for time series analysis, 
detecting relevant data within experiments, such as DNA 
sequentiation~\cite{Rives622803}, since its application still belongs
to the time series category.

% ------------------------------- CHALLENGES -------------------------------- %
\section{Current challenges in autonomous systems}
\label{sec:challenges}

This section presents some challenges related to AS in terms of technology
and also ethics behind the design decisions.

\subsection{Explainability}
\label{subsec:explainability}

Machine learning modules may often be treated as black boxes,
resulting in difficulties in formal verification and diagnosis. It is
difficult to enforce strict abstraction boundaries for ever-evolving
machine learning modules by setting up formal requirements to specify
intended behaviors. Therefore, things like wrongly interpreted formal
objective function (reward) and changes in the external world may make
modules alter behavior in unintended and unpredictable ways.  If after
the consequences of a given decision is a ``good'' one then this can
be incomporated into further iterations of the system, the same goes
for a ``bad'' decisions, in either case the reasons for the system to
reach this decision is neede for the transfer of this policy.  This is
specially import when the taken decision is wrong or leads to an
accident, since the system will need to be modified to avoid future
decisions~\cite{langley2017explainable}.

This has already become a problem for autonomous vehicles where part
of its programming has to consider under extreme circumstances if it
should for example swerve into pedestrians or kill the passengers in a
real life trolley problem~\cite{nyholm2016ethics}.

In~\cite{abdul2018trends}the authors analyzed $12\ 412$ papers citing
$289$ core papers from diverse domains related to explainable systems,
and identify a focus not on usable and effective transparency that
works for and benefits people. They also argue that true progress
towards explainable systems can only be made through interdisciplinary
collaborations, where expertise from different fields (e.g., machine
learning, cognitive psychology, human-computer interaction) is
combined and concepts and techniques are further developed from
multiple perspectives to move research forward.

\subsection{Safety during training}
\label{subsec:training}

Hazards can occur due to making decisions from insufficient or poorly
curated training data or an insufficiently expressive model:

\textbf{Safe Exploration}: When an autonomous system engages in
exploration, it takes actions whose consequences are yet to
understand. In the real world, the consequences could cause serious
safety issues, for example leading a vehicle into a crash. Common
exploration policies such as epsilon-greedy or R-max in reinforcement
learning to explore by choosing an action at random or viewing
unexplored actions and thus do not avoid these dangerous
situations. Reinforcement learning based system can often avoid these
issues by hard-coding an avoidance of catastrophic behaviors, since it
takes only a bit of prior knowledge about certain situations to
determine safety boundaries. But as systems become more autonomous and
act in more complex domains, it may become harder and harder to expect
every possible catastrophic failure~\cite{alves2018considerations}.

\textbf{Distributional Shift}: When the testing distribution differs
from the training distribution, machine learning systems may not only
show poor performance but also wrongly assume their performance is
good. The real-world data will differ from the training data,
violating the common independent and identically distributed
assumption in machine learning. Conventional neural networks provide
no principled measure of how certain they are, or how well-trained
they are to make a given prediction. Having a way to detect such
failures (and ultimately having a statistical assurance case) is
critical to building safe and predictable autonomous
systems~\cite{alves2018considerations}.

\subsection{Power consumption}
\label{subsec:power}

In most of AI applications, power consumption during training and inference
are a common topic of discussion. In the case of NLP, \cite{vaswani2017attention}
discusses about how transformers are more flexible during training, allowing
better resource usage during the training thanks to the parallelisation
capabilities. Since NLP networks are often trained and stored in supercomputers, 
which often have a dedicated power supply to energise all their machines. Usually,
supercomputers are constantly competing to be the first place on computation
power balanced in a computation per unit of watt~\cite{green500}. 

Given the complexity and the number of parameters, the networks used for NLP
cannot be suited on a phone. Hence, the personal assistant applications have to
send minutes to the cloud to compute the inference~\cite{gpt3}. There are some
alternatives to address the problem of consumption, such as the \emph{edge
computing}~\cite{edge}, which often is not suitable for some applications like 
the case of personal assistants or self-driving cars.

For self-driving cars, the situation is critical. According 
to~\cite{car_power_consumption}, the power consumption of the main computer
can take about $41\%$ of the total components added to the car to make it able
of self-driving. Thus, one of the big challenges of AI components in
AS which involves some sort of power autonomy are subject to the energy
efficiency of the computing components.

\subsection{Ethical Issues}
\label{subsec:ethics}

In May 2016, a Tesla self-driving car was involved in a fatal crash which
led to a mortal victim. During the accident, the car was using the Autopilot
mechanism~\cite{crash2016}. Later the collision, some concerns about ethics
behind the self-driver cars spotted. Elon Musk defended his company by arguing
that doing some math, the Autopilot could save around the $50\%$ of the total
deaths caused by car crashes around the globe. 

Some experts focus on the fact that AI-enabled cars are safer and ready to
save lives thanks to the avoidance of human factors, such as tireness, 
distractions, and others. Nevertheless, ethical critics highlight on the
decision taken by the AI to compute the probability of a person to survive
~\cite{teslaethics}, specifically, the case of choosing who person 
should be saved: the driver or the person on the street.

AS, therefore, involve also ethics on the programming and training of the
devices, to take into account some worst case scenarios, which are, often,
complicated of addressing.

%------------------------------ CONCLUSIONS -----------------------------------%
\section{Conclusions}
\label{sec:conclusions}

An Autonomous System can be defined as a system which transforms
inputs into outputs by intervention of Machine Learning
techniques. The entity of an AS can be entirely software, such as
personal assistants applications on smartphones, or a combination
between software and hardware, such as self-driving cars and UAVs.

Autonomous robots hold a lot of promise for the field of
\emph{Industry 4.0}, machine learning algorithms can now solve some
traditional tasks which couldn’t be solved a few years back. While
more complex systems can be created based on these systems thanks to
reinforcement learning which can reach much higher performance in some
control tasks such as manipulation and shows high promise in some
other tasks related with more intellectual work.

Self-driving cars also benefit from these algorithms, since their more
open-ended environment can take a much greater advantage from the
generalization they provide. Work is being done in both simulation and
real robots to replace faulty human drivers by much more reliable
autonomous vehicles.

According to the state-of-the-art, the field has been active in the
last decade, polishing fields such as Natural Language Processing,
moving its base from RNN-based networks to transformers-based
networks. Here, both academia and industry are doing research to
facilitate the growth and evolution of AS to strengthen current
applications and easing some others. This quick evolution in AI has
carried also challenges out of the AI scope, such as power consumption
and also ethics, which have become challenges to address when
developing new autonomous systems.

%---------------------------- REFERENCES --------------------------------------%
%\newpage
% references section
\bibliography{autosystems}
\bibliographystyle{IEEEtran}

% that's all folks
\end{document}
